summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2017-11-01 19:32:02 +0100
committerSebastian Pipping <sping@gentoo.org>2017-11-01 19:32:49 +0100
commitb7672d9c75384da127e9cfe05005da20cf4dc588 (patch)
tree8c3195ef98c1c2e66d0a2a869e0ae384f4e7a67b /dev-libs/expat
parentdev-perl/Module-ScanDeps: Bump to version 1.240.0 (diff)
downloadgentoo-b7672d9c75384da127e9cfe05005da20cf4dc588.tar.gz
gentoo-b7672d9c75384da127e9cfe05005da20cf4dc588.tar.bz2
gentoo-b7672d9c75384da127e9cfe05005da20cf4dc588.zip
dev-libs/expat: 2.2.5
https://github.com/libexpat/libexpat/issues/133 Package-Manager: Portage-2.3.10, Repoman-2.3.3
Diffstat (limited to 'dev-libs/expat')
-rw-r--r--dev-libs/expat/Manifest1
-rw-r--r--dev-libs/expat/expat-2.2.5.ebuild97
2 files changed, 98 insertions, 0 deletions
diff --git a/dev-libs/expat/Manifest b/dev-libs/expat/Manifest
index 11e68d3e180..9b0004c3865 100644
--- a/dev-libs/expat/Manifest
+++ b/dev-libs/expat/Manifest
@@ -1,2 +1,3 @@
DIST expat-2.2.1.tar.bz2 405441 SHA256 1868cadae4c82a018e361e2b2091de103cd820aaacb0d6cfa49bd2cd83978885 SHA512 74089b55872df16f214a4baba0143e6353736dfa34063391293bb2760aa3e5118d9ccb3592e07c74c9d52a2a5b91496e15153f28214c4c01242d95b3019b67ea WHIRLPOOL f571ee00d43813c20d81d02d5d25f3fd4fdec3ec5a6aa331a965b4373ca681053e4e66d22fed4523f9a207333b80eb5e63c78d2e36e0c2b5a64ad1c38b0fe38a
DIST expat-2.2.4.tar.bz2 505038 SHA256 03ad85db965f8ab2d27328abcf0bc5571af6ec0a414874b2066ee3fdd372019e SHA512 788249e2c6edf8521c4a99830fd5e51a55c062b834516f6775759cd71accf6375f12d3bd38f8b069777d081a4380b9549049921386ca0cb4b9b9daa4861d6592 WHIRLPOOL 77e62bca8da807e3175b05d121fd59b22b0018e57a3a82863794a220db49dfd2ff08f9463c2d319633e3aa4bb183347d1d43ed0d8baf0a65c97e893147123984
+DIST expat-2.2.5.tar.bz2 510868 SHA256 d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d473353aedf6 SHA512 8226970a7e5d2b8d7818081758ca59bb6ce2d655feaa9d3a92481629000b73fde4782f50343d58ec4e1cebe75649e1980f636775a731d8aa4b55ceb843d9f637 WHIRLPOOL 3e24be002c02a4aa05936515a73cb873bb797f34707c07a588cfeeed5fcc2d2a6668c460e5e4417fae4e3c7eec8f5ef6d767b066dfb44184c77f6c9943e978c1
diff --git a/dev-libs/expat/expat-2.2.5.ebuild b/dev-libs/expat/expat-2.2.5.ebuild
new file mode 100644
index 00000000000..4c9fc081bf5
--- /dev/null
+++ b/dev-libs/expat/expat-2.2.5.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils libtool multilib toolchain-funcs multilib-minimal
+
+DESCRIPTION="Stream-oriented XML parser library"
+HOMEPAGE="https://libexpat.github.io/"
+SRC_URI="https://github.com/libexpat/libexpat/releases/download/R_${PV//\./_}/expat-${PV}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="elibc_FreeBSD examples static-libs unicode"
+DEPEND="unicode? ( ${AUTOTOOLS_DEPEND} )"
+RDEPEND="abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r6
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
+
+DOCS=( README.md )
+
+src_prepare() {
+ eapply_user
+
+ # fix interpreter to be a recent/good shell
+ sed -i -e "1s:/bin/sh:${BASH}:" conftools/get-version.sh || die
+ if use unicode; then
+ cp -R "${S}" "${S}"w || die
+ pushd "${S}"w >/dev/null
+ find -name Makefile.am \
+ -exec sed \
+ -e 's,libexpat\.la,libexpatw.la,' \
+ -e 's,libexpat_la,libexpatw_la,' \
+ -i {} + || die
+ eautoreconf
+ popd >/dev/null
+ fi
+}
+
+multilib_src_configure() {
+ local myconf="$(use_enable static-libs static) --without-docbook"
+
+ mkdir -p "${BUILD_DIR}"w || die
+
+ if use unicode; then
+ pushd "${BUILD_DIR}"w >/dev/null
+ CPPFLAGS="${CPPFLAGS} -DXML_UNICODE" ECONF_SOURCE="${S}"w econf ${myconf}
+ popd >/dev/null
+ fi
+
+ ECONF_SOURCE="${S}" econf ${myconf}
+}
+
+multilib_src_compile() {
+ emake
+
+ if use unicode; then
+ pushd "${BUILD_DIR}"w >/dev/null
+ emake -C lib
+ popd >/dev/null
+ fi
+}
+
+multilib_src_install() {
+ emake install DESTDIR="${D}"
+
+ if use unicode; then
+ pushd "${BUILD_DIR}"w >/dev/null
+ emake -C lib install DESTDIR="${D}"
+ popd >/dev/null
+
+ pushd "${ED}"/usr/$(get_libdir)/pkgconfig >/dev/null
+ cp expat.pc expatw.pc
+ sed -i -e '/^Libs/s:-lexpat:&w:' expatw.pc || die
+ popd >/dev/null
+ fi
+
+ if multilib_is_native_abi ; then
+ # libgeom in /lib and ifconfig in /sbin require libexpat on FreeBSD since
+ # we stripped the libbsdxml copy starting from freebsd-lib-8.2-r1
+ use elibc_FreeBSD && gen_usr_ldscript -a expat
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # Note: Use of HTML_DOCS would add unwanted "doc" subfolder
+ docinto html
+ dodoc doc/*.{css,html,png}
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.c
+ fi
+
+ prune_libtool_files
+}